org.apache.olingo.commons.api.edm.provider.annotation

## Enum CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType

- java.lang.Object
- - java.lang.Enum<CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType>
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType

- All Implemented Interfaces:
    Serializable, Comparable<CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType>
  Enclosing class:
    CsdlLogicalOrComparisonExpression

      public static enum CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType
      extends Enum<CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType>

  Type of the constant expression

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `And` Type Edm.And must have two operands which must evaluate to a boolean value
    `Eq` Type Edm.Eq must have two operands which must evaluate to a boolean value
    `Ge` Type Edm.Ge must have two operands which must evaluate to a boolean value
    `Gt` Type Edm.Gt must have two operands which must evaluate to a boolean value
    `Le` Type Edm.Le must have two operands which must evaluate to a boolean value
    `Lt` Type Edm.Lt must have two operands which must evaluate to a boolean value
    `Ne` Type Edm.Ne must have two operands which must evaluate to a boolean value
    `Not` Type Edm.Or must have one operand
    `Or` Type Edm.Or must have two operands which must evaluate to a boolean value

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType` | `fromString(String value)` Creates a new type by a given string e.g.
    `static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### And

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType And

      Type Edm.And must have two operands which must evaluate to a boolean value

    - #### Or

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Or

      Type Edm.Or must have two operands which must evaluate to a boolean value

    - #### Not

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Not

      Type Edm.Or must have one operand

    - #### Eq

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Eq

      Type Edm.Eq must have two operands which must evaluate to a boolean value

    - #### Ne

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Ne

      Type Edm.Ne must have two operands which must evaluate to a boolean value

    - #### Gt

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Gt

      Type Edm.Gt must have two operands which must evaluate to a boolean value

    - #### Ge

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Ge

      Type Edm.Ge must have two operands which must evaluate to a boolean value

    - #### Lt

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Lt

      Type Edm.Lt must have two operands which must evaluate to a boolean value

    - #### Le

          public static final CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType Le

      Type Edm.Le must have two operands which must evaluate to a boolean value

  - ### Method Detail

    - #### values

          public static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType c : CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static CsdlLogicalOrComparisonExpression.LogicalOrComparisonExpressionType fromString(String value)

      Creates a new type by a given string e.g. "And". Will NOT throw an IlligalArgumentException for invalid types. If needed use the valueOf method.
      Parameters:
        `value` - Type as string
      Returns:
        Type type

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.